var app = angular.module('ionicApp', ['ionic', 'starter.controllers'])
        .run(function ($ionicPlatform) {
            $ionicPlatform.ready(function () {
                // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
                // for form inputs)
                if (window.cordova && window.cordova.plugins.Keyboard) {
                    cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                }
                if (window.StatusBar) {
                    // org.apache.cordova.statusbar required
                    StatusBar.styleDefault();
                }

				var admobid = {};
				if( /(android)/i.test(navigator.userAgent) ) { 
					admobid = { // for Android
						banner: 'ca-app-pub-2041213266011962/8492165332',
						interstitial: 'ca-app-pub-2041213266011962/8492165332'
					};
				} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
					admobid = { // for iOS
						banner: 'ca-app-pub-2041213266011962/8492165332',
						interstitial: 'ca-app-pub-2041213266011962/8492165332'
					};
				} else {
					admobid = { // for Windows Phone
						banner: 'ca-app-pub-2041213266011962/8492165332',
						interstitial: 'ca-app-pub-2041213266011962/8492165332'
					};
				}

				if(( /(ipad|iphone|ipod|android|windows phone)/i.test(navigator.userAgent) )) {
					document.addEventListener('deviceready', initApp, false);
				} else {
					initApp();
				}

				function initApp() {
					if (! AdMob ) { alert( 'admob plugin not ready' ); return; }

					AdMob.createBanner( {
						adId: admobid.banner, 
						isTesting: false,
						overlap: true, 
						offsetTopBar: false, 
						position: AdMob.AD_POSITION.TOP_CENTER,
						bgColor: 'black'
					} );
					
					AdMob.prepareInterstitial({
						adId: admobid.interstitial,
						autoShow: true
					});
				}
            });
        })

app.config(function ($stateProvider, $urlRouterProvider) {
    $urlRouterProvider.otherwise('/')

    $stateProvider
            .state('brand', {
                url: '/',
                templateUrl: 'templates/brand.html',
                controller: 'BrandCtrl'
            })
            .state('model', {
                url: "/model/:BrandId",
                templateUrl: "templates/model.html",
                controller: "ModelCtrl"
            })
            .state('engine', {
                url: "/engine/:EngineId",
                templateUrl: "templates/engine.html",
                controller: "EngineCtrl"
            })
            .state('details', {
                url: "/details/:DetailsId",
                templateUrl: "templates/details.html",
                controller: "DetailsCtrl"
            })
            .state('search', {
                url: "/search",
                templateUrl: "templates/search.html",
                controller: "SearchList"
            })
            .state('compare', {
                url: "/compare",
                templateUrl: "templates/compare.html",
                controller: "CompareList"
            })
})