angular.module('starter.controllers', ['ionic'])
        .controller('BrandCtrl', function ($scope, $http, $ionicLoading, $timeout) {
            $scope.data = {};

            $ionicLoading.show({
                content: 'Loading...',
                animation: 'fade-in',
                showBackdrop: true,
                maxWidth: 200,
                showDelay: 0
            });

            $http.get("http://carsdata.info/service/brand.php")
                    .success(function (response) {
                        $timeout(function () {
                            $scope.brands = response;
                            $ionicLoading.hide();
                        }, 2000);
                    });
        })
        .controller('ModelCtrl', function ($scope, $stateParams, $ionicLoading, $timeout, $http) {

            $ionicLoading.show({
                content: 'Loading...',
                animation: 'fade-in',
                showBackdrop: true,
                maxWidth: 200,
                showDelay: 0
            });

            $http.get("http://carsdata.info/service/model.php?brand=" + $stateParams.BrandId)
                    .success(function (response) {

                        $timeout(function () {
                            $scope.models = response;
                            $ionicLoading.hide();
                        }, 2000);
                    });

        })
        .controller('EngineCtrl', function ($scope, $stateParams, $ionicLoading, $timeout, $http) {

            $ionicLoading.show({
                content: 'Loading...',
                animation: 'fade-in',
                showBackdrop: true,
                maxWidth: 200,
                showDelay: 0
            });

            $http.get("http://carsdata.info/service/engine.php?model=" + $stateParams.EngineId)
                    .success(function (response) {
                        $timeout(function () {
                            $scope.engines = response;
                            $ionicLoading.hide();
                        }, 2000);
                    });

        })
        .controller('DetailsCtrl', function ($scope, $stateParams, $http, $ionicLoading, $timeout) {

            $ionicLoading.show({
                content: 'Loading...',
                animation: 'fade-in',
                showBackdrop: true,
                maxWidth: 200,
                showDelay: 0
            });

            $http.get("http://carsdata.info/service/details.php?id=" + $stateParams.DetailsId)
                    .success(function (response) {
                        $timeout(function () {

                            $scope.details = response;
                            $ionicLoading.hide();
                        }, 2000);
                    });
        })
        .controller('SearchList', function ($scope, $http) {
            $scope.data = {};

            $http.get("http://carsdata.info/service/brand.php")
                    .success(function (response) {
                        $scope.brands = response;
                    });

            $scope.getModel = function (brand) {

                $http.get("http://carsdata.info/service/model.php?brand=" + brand)
                        .success(function (response) {
                            $scope.models = response;
                        });
            };

            $scope.getYear = function (brand, model) {

                $http.get("http://carsdata.info/service/searchDate.php?brand=" + brand + "&model=" + model)
                        .success(function (response) {
                            $scope.years = response;
                        });
            };

            $scope.getEngine = function (brand, model, year) {

                $http.get("http://carsdata.info/service/searchEngine.php?brand=" + brand + "&model=" + model + "&year=" + year)
                        .success(function (response) {
                            $scope.engines = response;
                            console.log($scope.engines);
                        });

            };
        })
        .controller('CompareList', function ($scope, $http) {
            $scope.data = {};

            $http.get("http://carsdata.info/service/brand.php")
                    .success(function (response) {
                        $scope.fBrands = response;
                        $scope.sBrands = response;
                    });

            $scope.getModel = function (brand) {

                $http.get("http://carsdata.info/service/model.php?brand=" + brand)
                        .success(function (response) {
                            $scope.models = response;
                        });
            };

            $scope.getModelS = function (brand) {

                $http.get("http://carsdata.info/service/model.php?brand=" + brand)
                        .success(function (response) {
                            $scope.secondModels = response;
                        });
            };

            $scope.getYear = function (brand, model) {

                $http.get("http://carsdata.info/service/searchDate.php?brand=" + brand + "&model=" + model)
                        .success(function (response) {
                            $scope.years = response;
                        });
            };

            $scope.getYearS = function (brand, model) {

                $http.get("http://carsdata.info/service/searchDate.php?brand=" + brand + "&model=" + model)
                        .success(function (response) {
                            $scope.secondYears = response;
                        });
            };

            $scope.getEngine = function (brand, model, year) {

                $http.get("http://carsdata.info/service/searchEngine.php?brand=" + brand + "&model=" + model + "&year=" + year)
                        .success(function (response) {
                            $scope.engines = response;
                        });

            };

            $scope.getEngineS = function (brand, model, year) {

                $http.get("http://carsdata.info/service/searchEngine.php?brand=" + brand + "&model=" + model + "&year=" + year)
                        .success(function (response) {
                            $scope.secondEngines = response;
                        });

            };
            $scope.getDetails = function (brand, model, year, engine) {

                $http.get("http://carsdata.info/service/compare.php?brand=" + brand + "&model=" + model + "&year=" + year + "&engine=" + engine)
                        .success(function (response) {
                            $scope.details = response;
                        });

            };
            $scope.getDetailsS = function (brand, model, year, engine) {

                $http.get("http://carsdata.info/service/compare.php?brand=" + brand + "&model=" + model + "&year=" + year + "&engine=" + engine)
                        .success(function (response) {
                            $scope.sDetails = response;
                        });

            };
        });



        